Type to search.

Update the connector pipeline

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Beta since 8.12 This functionality is in beta and is not ready for production usage. For beta features, the design and code is less mature than official GA features and is being provided as-is with no warranties. Beta features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

When you create a new connector, the configuration of an ingest pipeline is populated with default settings.

Path parameters

connector_id string required

The unique identifier of the connector to be updated

Request body

pipeline object required
extract_binary_content boolean required
name string required
reduce_whitespace boolean required
run_ml_inference boolean required

Response

application/json
result enum required
Values: created updated deleted not_found noop